package com.persagy.adm.steward.entity;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: ProductFinishNumReq 实施工具调用
 * @Author: qiaopengqiang
 * @Date: 2022-01-06
 * @Version:v1.0
 */
@Data
public class ProductFinishNumReq implements Serializable {

    private static final long serialVersionUID = -8196236532619442356L;
    /**
     * 验收商品id
     */
    @NotNull(message = "验收商品id不能为空")
    private Long planInfoId;

    /**
     * 本次已经完成的数量
     */
    @NotNull(message = "该商品已经完成的数量不能为空")
    private Integer finishNum;


}
